import {createContext, Dispatch} from "react";

export enum GlobalDataActionType {
    REFRESH_SELF
}

export interface User {
    balance: string;
    nickname: string;
    username: string;
    hasUserInfo: boolean;
}

export interface GlobalData {
    user: User;
}

export interface GlobalDataAction {
    type: number;
    user?: User;
}

export const GlobalContext = createContext<GlobalData>({
    user: {
        balance: '0',
        nickname: '',
        username: '',
        hasUserInfo: false
    }
});
export const GlobalDispatchContext = createContext<Dispatch<GlobalDataAction>>(() => {});
