import {createContext, Dispatch} from "react";

export enum IndexListDataType {
    PROJ,
    AGENT,
}

export interface ListData {
    type: IndexListDataType;
    status?: string;
}

export interface ListAction {
    type: IndexListDataType;
    value: string;
}

export const IndexListContext = createContext<ListData>({
    type: IndexListDataType.PROJ
})

export const IndexListDispatchContext = createContext<Dispatch<ListAction>>(() => {})